@font-face {
  font-display: swap;
  font-family: 'Bebas Neue';
  font-style: normal;
  font-weight: 400;
  src: url('bebas-neue-v16-latin-regular.woff2') format('woff2');
}

html {
  scrollbar-gutter: stable;
}

body {
  font-family: 'DM Sans';
  font-size: 16px;
}

a {
  -webkit-tap-highlight-color: transparent;
}

img {
  width: 100%;
  height: auto;
}

h1, h2, h3 {
  font-family: 'Bebas Neue', sans-serif;
}

h1 {
  font-size: 100px;
  line-height: 90px;
}

h1 span {
  color: #1E35FF;
}

h2 {
  font-size: 100px;
  line-height: 90px;
}

h3 {
  font-size: 50px;
  line-height: 50px;
}

.grid-container {
  
}

.grid-container.fluid {
  padding-right: 1.5rem;
  padding-left: 1.5rem;
}

.title-bar {
  background: none;
  padding: 0;
}

.title-bar-right {
  display: flex;
  align-items: center;
  justify-content: right;
}

.title-bar-left a {
  display: inline-block;
}

.logo {
  fill: #0c0c0c;
  width: 89px;
  height: 40px;
}

/* Hamburger Menu Starts */
.hamburger {
  position: relative;
  z-index: 98;
  display: inline-block;
  cursor: pointer;
  margin-top: -7px;
}

.bar1, .bar3 {
  width: 48px;
  height: 2px;
  background-color: #0c0c0c;
  margin: 2px 0;
  transition: 0.4s;
}

.invis {
  width: 48px;
  height: 2px;
  margin: 2px 0;
}

.change .bar1 {
  -webkit-transform: rotate(-45deg) translate(-2px, 4px);
  transform: rotate(-45deg) translate(-2px, 4px);
  background-color: #fff;
}

.change .bar3 {
  -webkit-transform: rotate(45deg) translate(-2px, -4px);
  transform: rotate(45deg) translate(-2px, -4px);
  background-color: #fff;
}
/* Hamburger Menu Ends */


/* Menu Popout Begins */
body:has(.is-open) {
  overflow: hidden;
  height: 100vh; /* Prevents bouncing on mobile */
}

body:has(.is-open) .logo {
  fill: #fff;
}

.position-top {
  height: auto;
}

.js-off-canvas-overlay {
  background: #1E35FF;
}

.off-canvas {
  background: none;
  height: 100%;
  -webkit-transform: translateY(-100vh);
  transform: translateY(-100vh);
}

.off-canvas.is-transition-overlap.is-open {
  webkit-box-shadow: none;
  box-shadow: none;
}

.off-canvas .menu {
  top: 50%;
  translate: 0 -50%;
}

.off-canvas .menu a {
  font-family: 'Bebas Neue', sans-serif;
  font-size: 80px;
  color: #fff;
  text-align: center;
}
/* Menu Popout Ends */

#homepage .off-canvas-content {
  background: #1E35FF;
  transition: background .5s ease;
}

.header {
  padding-top: 1.5rem;
  position: relative;
  background: #fff;
}

#homepage .header {
  height: 100vh;
}

.header-title-text {
  margin-top: 20px;
  width: 275px;
}

.header-text {
  position: absolute;
  left: 1.5rem;
  top: 325px;
  width: 330px
}

.header-photo {
  position: absolute;
  bottom: 0;
  width: 100%;
  text-align: center;
  height: 50vh;
  background-image:url(steve2.webp);
  background-repeat: no-repeat;
  background-position: center top;
  background-size: cover;
}

/* ---- Header Download CV Link Begins ---- */

.header-download {
  position: absolute;
  bottom: 0;
  left: 0;
}

#download-arrow {
  position: absolute;
  height: 45px;
  width: 45px;
  left: 50%;
  top: 50%;
  translate: -50% -60%;  
}

#download-arrow #Line_1, #download-arrow #Path_1 {
  stroke: #fff;
}

.header-download-text {
  font-weight: 600;
  letter-spacing: 5px;
  text-transform: uppercase;
  fill: #fff;
}

#rotatingText {
  width: 150px;
  height: 150px;
  animation-name: rotate-circle;
  animation-duration: 10s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}

@keyframes rotate-circle {
  to {
    transform: rotate(1turn);
  }
}

/* ---- Header Download Link Ends ---- */

/* Client Page Begins */

#client-page h2 {
  font-size: 50px;
  line-height: 50px;
}

#client-page section {
  padding: 3.75rem 0;
}

#client-page section:first-of-type {
  padding: 1.5rem 0 0 0;
}

.category-box {
  background: #1E35FF;
  color: #ffffff;
  padding: 9px 12px;
  text-transform: uppercase;
  margin: 0 15px 15px 0;
  font-size: 0.875rem;
  line-height: normal;
  font-weight: 500;
  letter-spacing: 10%;
  display: inline-block;
}

#client-page p {
  font-size: 26px;
  line-height: 40px;
}

#client-page .content-box p {
  margin-bottom: 6.25rem;
}

#client-page .top-margin {
  margin-top: 7.5rem;
}

#client-page .bottom-margin {
  margin-bottom: 7.5rem;
}

.coloured-image-box {
  text-align: center;
  padding: 10.625rem 0;
}

.coloured-image-box.telenor-satellite {
  background: #2D28CD;
}

.coloured-image-box img {
  max-width: 60%;
  margin: 0 auto;
}

/* Client Page Ends */

.section2 {
  height: 100vh;
  padding: 10vh 0;
  color: #fff;
  text-align: center;
}

.section3 {
  height: 100vh;
  padding: 10vh 0;
  color: #fff;
  text-align: center;
}

/* ---- Homepage Work Carousel Begins ---- */

* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.flickity-enabled {
  position: relative;
}

.flickity-enabled:focus { outline: none; }

.flickity-viewport {
  overflow: hidden;
  position: relative;
  height: 100%;
}

.flickity-slider {
  position: absolute;
  width: 100%;
  height: 100%;
}

/* draggable */

.flickity-enabled.is-draggable {
  -webkit-tap-highlight-color: transparent;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}

.flickity-enabled.is-draggable .flickity-viewport {
  cursor: move;
  cursor: -webkit-grab;
  cursor: grab;
}

.flickity-enabled.is-draggable .flickity-viewport.is-pointer-down {
  cursor: -webkit-grabbing;
  cursor: grabbing;
}

/* ---- flickity-button ---- */

.flickity-button {
  position: absolute;
  background: hsla(0, 0%, 100%, 0.75);
  border: none;
  color: #333;
}

.flickity-button:hover {
  background: white;
  cursor: pointer;
}

.flickity-button:focus {
  outline: none;
  box-shadow: 0 0 0 5px #19F;
}

.flickity-button:active {
  opacity: 0.6;
}

.flickity-button:disabled {
  opacity: 0.3;
  cursor: auto;
  /* prevent disabled button from capturing pointer up event. #716 */
  pointer-events: none;
}

.flickity-button-icon {
  fill: currentColor;
}

/* ---- previous/next buttons ---- */

.flickity-prev-next-button {
  top: 50%;
  width: 44px;
  height: 44px;
  border-radius: 50%;
  /* vertically center */
  transform: translateY(-50%);
}

.flickity-prev-next-button.previous { left: 10px; }
.flickity-prev-next-button.next { right: 10px; }
/* right to left */
.flickity-rtl .flickity-prev-next-button.previous {
  left: auto;
  right: 10px;
}
.flickity-rtl .flickity-prev-next-button.next {
  right: auto;
  left: 10px;
}

.flickity-prev-next-button .flickity-button-icon {
  position: absolute;
  left: 20%;
  top: 20%;
  width: 60%;
  height: 60%;
}

/* ---- page dots ---- */

.flickity-page-dots {
  position: absolute;
  width: 100%;
  bottom: -25px;
  padding: 0;
  margin: 0;
  list-style: none;
  text-align: center;
  line-height: 1;
}

.flickity-rtl .flickity-page-dots { direction: rtl; }

.flickity-page-dots .dot {
  display: inline-block;
  width: 10px;
  height: 10px;
  margin: 0 8px;
  background: #333;
  border-radius: 50%;
  opacity: 0.25;
  cursor: pointer;
}

.flickity-page-dots .dot.is-selected {
  opacity: 1;
}

.gallery {
  background: none;
}

.gallery-cell {
  width: 40%;
  /* height: 500px; */
  margin-right: 40px;
  background: none;
  counter-increment: gallery-cell;
}

/* cell number */
.gallery-cell:before {
  display: block;
  text-align: center;
  line-height: 200px;
  font-size: 80px;
  color: white;
}

/* ---- Homepage Work Carousel Ends ---- */

.section4 {
  height: 100vh;
  padding: 10vh 0;
  color: #0c0c0c;
  text-align: center;
}

/* Small only (> 639px) */
@media screen and (max-width: 39.9375em) {
  #homepage h1 {
    font-size: 80px;
    line-height: 75px;
  }

  .large-h1 {
    display: none;
  }
}

/* Medium and up (640px >) */
@media screen and (min-width: 40em) {
  #download-arrow #Line_1, #download-arrow #Path_1 {
    stroke: #1E35FF;
  }

  .header-download-text {
    fill: #1E35FF;
    -webkit-filter: drop-shadow( 1px 1px 0 rgba(255, 255, 255, 1));
    filter: drop-shadow( 1px 1px 0 rgba(255, 255, 255, 1));
  }

  #rotatingText {
  width: 200px;
  height: 200px;

}

/* Medium only (640px > 1023px) */
@media screen and (min-width: 40em) and (max-width: 63.9375em) {
  #homepage h1 {
    font-size: 120px;
    line-height: 110px;
  }

  .logo {
    width: 100px;
    height: 45px;
  }

  .large-h1 {
    display: none;
  }

  .header-title-text {
    width: 430px;
  }

  .header-text {
    top: 430px;
  }

  .header-photo {
    height: 52vh;
  }

  .header-download {
    left: inherit;
    right: 0;
  }
}

/* Large and up (1024px >) */
@media screen and (min-width: 64em) {
  #homepage h1 {
    font-size: 110px;
    line-height: 105px;
  }

  .logo {
    width: 120px;
    height: 54px;
  }

  .bar1, .bar3 {
    width: 80px;
    margin: 6px 0;
  }

  .change .bar1 {
    -webkit-transform: rotate(-45deg) translate(-5px, 6px);
    transform: rotate(-45deg) translate(-5px, 6px);
  }

  .change .bar3 {
    -webkit-transform: rotate(45deg) translate(-5px, -6px);
    transform: rotate(45deg) translate(-5px, -6px);
  }

  .invis {
    width: 80px;
    margin: 6px 0;
  }

  .small-h1 {
    display: none;
  }

  .header-title-text {
    width: 970px;
    position: absolute;
    left: 50%;
    top: 50%;
    translate: -50% -42%;
    margin-top: 0;
  }

  .header-text {
    top: inherit;
    left: inherit;
    bottom: 1.5rem;
    right: 1.5rem;
    width: 270px
  }

  .header-photo {
    height: 75vh;
    background-size: contain;
  }
}

/* Large only (1024px > 1439px) */
@media screen and (min-width: 64em) and (max-width: 89.9375em) {

}

/* Extra Large and up (1440px >) */
@media screen and (min-width: 90em) {
  #homepage h1 {
    margin-top:165px;
    font-size: 158px;
    line-height: 145px;
  }

  .grid-container {
    max-width: 80%;
  }

  .header-title-text {
    width: 1400px;
    translate: -50% -70%;
  }

  .header-photo {
    height: 80vh;
  }

  .header-text {
    width: 330px;
  }
}